Update Contract: Yardi REST
Betahttps://api.propexo.com/v1/contracts/yardi_rest/:contract_id| Interface | Method |
|---|---|
| Job Cost | /ItfJobCost/ImportContract |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the contract
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the vendor
The start date associated with the contract
Show 2 variants
The end date associated with the contract
Show 2 variants
Notes associated with the contract
The expense type of the contract. You'll have to request this data from your customer, but you can see a set of allowed values by reviewing the response of integration.configuration_meta_data
The retention percent of the contract. Must be a decimal number with only 2 places
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the contract
The Propexo unique identifier for the vendor
The start date associated with the contract
Show 2 variants
The end date associated with the contract
Show 2 variants
Notes associated with the contract
The expense type of the contract. You'll have to request this data from your customer, but you can see a set of allowed values by reviewing the response of integration.configuration_meta_data
The retention percent of the contract. Must be a decimal number with only 2 places
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/contracts/yardi_rest/:contract_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"vendor_id": "string",
"start_date": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"contract_id": "string",
"vendor_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"expense_type": "string",
"retention_percent": "string"
}
}